﻿#region --- License & Copyright Notice
/*
CRUD Services Library

Copyright 2012 Jeevan James

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
#endregion

using System.Collections.Generic;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.ServiceModel.Description;

namespace CrudServices.Wcf.Client
{
    public class CrudClientWcf : ClientBase<ICrudService>, ICrudService
    {
        public CrudClientWcf()
        {
        }

        public CrudClientWcf(string endpointConfigurationName)
            : base(endpointConfigurationName)
        {
        }

        public CrudClientWcf(string endpointConfigurationName, string remoteAddress)
            : base(endpointConfigurationName, remoteAddress)
        {
        }

        public CrudClientWcf(string endpointConfigurationName, EndpointAddress remoteAddress)
            : base(endpointConfigurationName, remoteAddress)
        {
        }

        public CrudClientWcf(Binding binding, EndpointAddress remoteAddress)
            : base(binding, remoteAddress)
        {
        }

        public CrudClientWcf(ServiceEndpoint endpoint)
            : base(endpoint)
        {
        }

        public CrudClientWcf(InstanceContext callbackInstance)
            : base(callbackInstance)
        {
        }

        public CrudClientWcf(InstanceContext callbackInstance, string endpointConfigurationName)
            : base(callbackInstance, endpointConfigurationName)
        {
        }

        public CrudClientWcf(InstanceContext callbackInstance, string endpointConfigurationName, string remoteAddress)
            : base(callbackInstance, endpointConfigurationName, remoteAddress)
        {
        }

        public CrudClientWcf(InstanceContext callbackInstance, string endpointConfigurationName, EndpointAddress remoteAddress)
            : base(callbackInstance, endpointConfigurationName, remoteAddress)
        {
        }

        public CrudClientWcf(InstanceContext callbackInstance, Binding binding, EndpointAddress remoteAddress)
            : base(callbackInstance, binding, remoteAddress)
        {
        }

        public CrudClientWcf(InstanceContext callbackInstance, ServiceEndpoint endpoint)
            : base(callbackInstance, endpoint)
        {
        }

        public string Search(SearchCriteria criteria)
        {
            return Channel.Search(criteria);
        }

        public string Find(string entityName, int id)
        {
            return Channel.Find(entityName, id);
        }

        public string Add(string entityName, string items)
        {
            return Channel.Add(entityName, items);
        }

        public int Update(string items)
        {
            return Channel.Update(items);
        }

        public int Delete(string items)
        {
            return Channel.Delete(items);
        }

        public int DeleteIds(string name, IEnumerable<int> itemIds)
        {
            return Channel.DeleteIds(name, itemIds);
        }

        public string SaveChanges(string items)
        {
            return Channel.SaveChanges(items);
        }
    }
}