﻿#region --- License & Copyright Notice
/*
CRUD Services Library

Copyright 2012 Jeevan James

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
#endregion

using System.Collections.Generic;

namespace CrudServices.Wcf.Server
{
    public abstract class CrudServiceWcf : ICrudService
    {
        public string Search(SearchCriteria criteria)
        {
            return CreateImplementation().Search(criteria);
        }

        public string Find(string entityName, int id)
        {
            return CreateImplementation().Find(entityName, id);
        }

        public string Add(string entityName, string items)
        {
            return CreateImplementation().Add(entityName, items);
        }

        public int Update(string items)
        {
            return CreateImplementation().Update(items);
        }

        public int Delete(string items)
        {
            return CreateImplementation().Delete(items);
        }

        public int DeleteIds(string name, IEnumerable<int> itemIds)
        {
            return CreateImplementation().DeleteIds(name, itemIds);
        }

        public string SaveChanges(string items)
        {
            return CreateImplementation().SaveChanges(items);
        }

        protected abstract ICrudService CreateImplementation();
    }
}