﻿#region --- License & Copyright Notice
/*
CRUD Services Library

Copyright 2012 Jeevan James

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
#endregion

using System;
using System.ServiceModel;

namespace CrudServices
{
    [ServiceContract]
    public interface ICrudServiceAsync
    {
        [OperationContract(AsyncPattern = true)]
        IAsyncResult BeginSearch(SearchCriteria criteria, AsyncCallback callback, object asyncState);
        string EndSearch(IAsyncResult result);

        [OperationContract(AsyncPattern = true)]
        IAsyncResult BeginFind(string entityName, int id, AsyncCallback callback, object asyncState);
        string EndFind(IAsyncResult result);

        [OperationContract(AsyncPattern = true)]
        IAsyncResult BeginAdd(string entityName, string items, AsyncCallback callback, object asyncState);
        string EndAdd(IAsyncResult result);

        [OperationContract(AsyncPattern = true)]
        IAsyncResult BeginUpdate(string items, AsyncCallback callback, object asyncState);
        int EndUpdate(IAsyncResult result);

        [OperationContract(AsyncPattern = true)]
        IAsyncResult BeginDelete(string items, AsyncCallback callback, object asyncState);
        int EndDelete(IAsyncResult result);

        [OperationContract(AsyncPattern = true)]
        IAsyncResult BeginDeleteIds(string name, AsyncCallback callback, object asyncState);
        int EndDeleteIds(IAsyncResult result);

        [OperationContract(AsyncPattern = true)]
        IAsyncResult BeginSaveChanges(string items, AsyncCallback callback, object asyncState);
        string EndSaveChanges(IAsyncResult result);
    }
}